Package org.jbpm.services.cdi.impl.query.persistence

## Class PersistDataSetCDIListener

- java.lang.Object
- - org.jbpm.kie.services.impl.query.persistence.PersistDataSetListener
  - - org.jbpm.services.cdi.impl.query.persistence.PersistDataSetCDIListener

- All Implemented Interfaces:
    `org.dashbuilder.dataset.def.DataSetDefRegistryListener`

      @ApplicationScoped
      public class PersistDataSetCDIListener
      extends PersistDataSetListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PersistDataSetCDIListener()` |
    `PersistDataSetCDIListener​(TransactionalCommandService commandService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onDataSetDefModified​(org.dashbuilder.dataset.events.DataSetDefModifiedEvent event)` |
    `void` | `onDataSetDefRegistered​(org.dashbuilder.dataset.events.DataSetDefRegisteredEvent event)` |
    `void` | `onDataSetDefRemoved​(org.dashbuilder.dataset.events.DataSetDefRemovedEvent event)` |
    `void` | `onDataSetDefStale​(org.dashbuilder.dataset.events.DataSetStaleEvent event)` |

    - ### Methods inherited from class org.jbpm.kie.services.impl.query.persistence.PersistDataSetListener

      `get, onDataSetDefModified, onDataSetDefRegistered, onDataSetDefRemoved, onDataSetDefStale`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistDataSetCDIListener

          public PersistDataSetCDIListener()

    - #### PersistDataSetCDIListener

          @Inject
          public PersistDataSetCDIListener​(TransactionalCommandService commandService)

  - ### Method Detail

    - #### onDataSetDefStale

          public void onDataSetDefStale​(@Observes
                                        org.dashbuilder.dataset.events.DataSetStaleEvent event)

    - #### onDataSetDefModified

          public void onDataSetDefModified​(@Observes
                                           org.dashbuilder.dataset.events.DataSetDefModifiedEvent event)

    - #### onDataSetDefRegistered

          public void onDataSetDefRegistered​(@Observes
                                             org.dashbuilder.dataset.events.DataSetDefRegisteredEvent event)

    - #### onDataSetDefRemoved

          public void onDataSetDefRemoved​(@Observes
                                          org.dashbuilder.dataset.events.DataSetDefRemovedEvent event)